# Method: mediaItems.list

- [HTTP request](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/list#body.HTTP_TEMPLATE)
- [Query parameters](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/list#body.request_body)
- [Response body](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/list#body.response_body)
  - [JSON representation](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/list#body.ListMediaItemsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/list#body.aspect)
- [Try it!](https://developers.google.com/photos/library/reference/rest/v1/mediaItems/list#try-it)

List all media items created by your app from a user's Google Photos library.

### HTTP request

`GET https://photoslibrary.googleapis.com/v1/mediaItems`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` Maximum number of media items to return in the response. Fewer media items might be returned than the specified number. The default `pageSize` is 25, the maximum is 100. |
| `pageToken` | `string` A continuation token to get the next page of the results. Adding this to the request returns the rows after the `pageToken`. The `pageToken` should be the value returned in the `nextPageToken` parameter in the response to the `listMediaItems` request. |

### Request body

The request body must be empty.

### Response body

List of all media items from the user's Google Photos library.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "mediaItems": [ { object (`https://developers.google.com/photos/library/reference/rest/v1/mediaItems#MediaItem`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `mediaItems[]` | ``object (`https://developers.google.com/photos/library/reference/rest/v1/mediaItems#MediaItem`)`` Output only. List of media items in the user's library. |
| `nextPageToken` | `string` Output only. Token to use to get the next set of media items. Its presence is the only reliable indicator of more media items being available in the next request. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `
  https://www.googleapis.com/auth/photoslibrary.readonly.appcreateddata`